//##############################################################################
//#																			   #
//# fichier	: main.c									version : V1.0		   #
//# projet	: SDL text									date :	25611/2005	   #
//# par		: aerith														   #
//#																			   #
//# test de l'affichage de text dans SDL									   #
//#																			   #
//##############################################################################

#include	"SDL text.h"

void	TempWait(unsigned int Delai)
{
#ifdef WIN32
	Sleep(Delai);
#else
	usleep(Delai * 1000);
#endif
}

int main(int argc, char **argv)
{
	SDL_Surface *Screen;
	SDL_Event 	event;
	int			done = 0;
	rect		Zone;
	color		Top, Back;

	SDL_Init(SDL_INIT_VIDEO);
	atexit(SDL_Quit);

	Screen = SDL_SetVideoMode(800, 600, 16, SDL_SWSURFACE|SDL_DOUBLEBUF);

	if(SDL_MUSTLOCK(Screen))
		if(SDL_LockSurface(Screen) < 0)
			return 0;

	Zone.x = 5;
	Zone.y = 5;
	Zone.l = 800;
	Zone.h = 600;
	Top.r = 255;
	Top.g = 255;
	Top.b = 255;
	Back.r = 255;
	Back.g = 0;
	Back.b = 0;

	SDLText(Screen, "0123456789 +-*/:;,.", Zone, 4, Top, Back);

	Zone.x = 300;
	Zone.y = 25;
	Top.r = 0;
	Top.g = 255;
	Top.b = 0;
	Back.r = -1;
	Back.g = -1;
	Back.b = -1;
	SDLText(Screen, "Fond transparent", Zone, 4, Top, Back);

	Zone.x = 5;
	Zone.y = 45;
	Top.r = 0;
	Top.g = 0;
	Top.b = 255;
	SDLText(Screen, "Double ligne\nSuite de la ligne", Zone, 4, Top, Back);
	Top.r = 0;
	Top.g = 0;
	Top.b = 0;
	Back.r = 255;
	Back.g = 255;
	Back.b = 255;
	Zone.y = 125;
	SDLText(Screen, "Taille 3 : 0123456789", Zone, 3, Top, Back);
	Zone.y = 155;
	SDLText(Screen, "Taille 2.5 : 0123456789", Zone, 2.5, Top, Back);
	Zone.y = 180;
	SDLText(Screen, "Taille 2 : 0123456789", Zone, 2, Top, Back);
	Zone.y = 200;
	SDLText(Screen, "Taille 1.5 : 0123456789", Zone, 1.5, Top, Back);
	Zone.y = 215;
	SDLText(Screen, "Taille 1 : 0123456789", Zone, 1, Top, Back);

	if(SDL_MUSTLOCK(Screen))
		SDL_UnlockSurface(Screen);
	SDL_Flip(Screen);

	while(!done)
	{
		TempWait(10);

		while(SDL_PollEvent(&event))
		{
			if(event.type == SDL_QUIT)
				done = 1;
		}
	}

	return 0;
}
